Skip to main content
POST
/
account
/
payment-methods
Attach payment method
curl --request POST \
  --url https://api.veryfront.com/account/payment-methods \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payment_method_id": "<string>"
}
'
{
  "id": "<string>",
  "brand": "<string>",
  "last4": "<string>",
  "exp_month": 123,
  "exp_year": 123,
  "is_default": true
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Body

application/json
payment_method_id
string
required
Minimum string length: 1

Response

Attached payment method

id
string
required
brand
string | null
required
last4
string | null
required
exp_month
number | null
required
exp_year
number | null
required
is_default
boolean
required